## dojox.cometd.demo
Class BayeuxStartupListener.Monitor

    java.lang.Object
      org.mortbay.cometd.BayeuxService
          dojox.cometd.demo.BayeuxStartupListener.Monitor

Enclosing class:
  BayeuxStartupListener

    public static class BayeuxStartupListener.Monitor

extends BayeuxService

Constructor Summary
`BayeuxStartupListener.Monitor(Bayeux bayeux)`

Method Summary
`void` `monitorMeta(Client client, Message message)`
`void` `monitorSubscribe(Client client, Message message)`
`void` `monitorUnsubscribe(Client client, Message message)`

Methods inherited from class org.mortbay.cometd.BayeuxService
`exception, getBayeux, getClient, send, subscribe`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BayeuxStartupListener.Monitor

    public BayeuxStartupListener.Monitor(Bayeux bayeux)

Method Detail

### monitorSubscribe

    public void monitorSubscribe(Client client,
                                 Message message)

### monitorUnsubscribe

    public void monitorUnsubscribe(Client client,
                                   Message message)

### monitorMeta

    public void monitorMeta(Client client,
                            Message message)

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.